#ifndef STATUSWIDGET_H
#define STATUSWIDGET_H

#include <QWidget>

namespace Ui {
class StatusWidget;
}

class LegacyApp;

class StatusWidget : public QWidget
{
    Q_OBJECT

public:
    explicit StatusWidget(LegacyApp *_app, QWidget *parent = 0);
    ~StatusWidget();

private:
    Ui::StatusWidget *ui;
    LegacyApp *app;

    const QColor inWorkColor = QColor(85, 170, 255);
    const QColor readyColor = QColor(0, 170, 0);
    const QColor errorColor = QColor(255, 85, 0);

    const QString inWorkIconStyle = "image: url(:/assets/info.png);";
    const QString readyIconStyle = "image: url(:/assets/ok.png);";
    const QString criticalIconStyle = "image: url(:/assets/critical.png);";
    const QString warningIconStyle = "image: url(:/assets/warning.png);";
};

#endif // STATUSWIDGET_H
